using System;
using System.Collections.Generic;

class Program
{
    static void Main(string[] args)
    {
        int t = int.Parse(Console.ReadLine());

        while (t-- > 0)
        {
            int n = int.Parse(Console.ReadLine());

            HashSet<long> videt = new HashSet<long>();

            for (int i = 1; i <= n; i++)
            {
                int x = i;
                long prod = 1;

                while (x > 0)
                {
                    int broj = x % 10;
                    if (broj == 0)
                    {
                        prod = 0;
                        break;
                    }
                    prod *= broj;
                    x /= 10;
                }

                videt.Add(prod);
            }

            Console.WriteLine(videt.Count);
        }
    }
}